<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.longtu.sample">


    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />

    <application
        android:name="com.longtu.android.channels.Info.LTBase_Channels_Application"
        android:allowBackup="true"
        android:icon="@drawable/longtu_sample_ic_launcher"
        android:label="@string/app_name"
        android:screenOrientation="landscape"
        android:theme="@style/AppTheme"
        android:usesCleartextTraffic="true"
        tools:ignore="GoogleAppIndexingWarning">

        <!--demo配置-->

        <activity
            android:name="com.longtu.sample.LTBase_Demo_LogoActivity"
            android:configChanges="fontScale|orientation|keyboardHidden|locale|navigation|screenSize|uiMode"
            android:exported="true"
            android:label="@string/app_name"
            android:launchMode="standard"
            android:screenOrientation="sensor">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>


        <activity
            android:name="com.longtu.sample.LTBase_Demo_MainActivity"
            android:configChanges="fontScale|orientation|keyboardHidden|locale|navigation|screenSize|uiMode"
            android:exported="true"
            android:label="@string/app_name"
            android:launchMode="standard"
            android:screenOrientation="sensor" />


        <!-- 推送测试 -->
        <activity
            android:name="com.longtu.sample.LTBase_Demo_PushActivity"
            android:configChanges="fontScale|orientation|keyboardHidden|locale|navigation|screenSize|uiMode"
            android:exported="true"
            android:launchMode="standard"
            android:screenOrientation="sensor" />


        <!--bi统计功能测试-->
        <activity
            android:name="com.longtu.sample.LTBase_Demo_BITest"
            android:configChanges="fontScale|orientation|keyboardHidden|locale|navigation|screenSize|uiMode"
            android:exported="true"
            android:launchMode="standard"
            android:screenOrientation="sensor" />


        <!-- 云游戏功能测试-->
        <activity
            android:name="com.longtu.sample.LTBase_Demo_CloudGame"
            android:configChanges="fontScale|orientation|keyboardHidden|locale|navigation|screenSize|uiMode"
            android:exported="true"
            android:launchMode="standard"
            android:screenOrientation="sensor" />


        <!--崩溃捕获功能测试-->
        <activity
            android:name="com.longtu.sample.LTBase_Demo_CrashTest"
            android:configChanges="fontScale|orientation|keyboardHidden|locale|navigation|screenSize|uiMode"
            android:exported="true"
            android:launchMode="standard"
            android:screenOrientation="sensor" />

        <!-- 谷歌服务相关-->
        <activity
            android:name="com.longtu.sample.LTBase_Demo_GoogleGame"
            android:configChanges="fontScale|orientation|keyboardHidden|locale|navigation|screenSize|uiMode"
            android:exported="true"
            android:launchMode="standard"
            android:screenOrientation="sensor" />


        <!--demo配置结束-->


        <!-- 闪屏配置 -->
        <activity
            android:name="com.longtu.sdk.base.logo.LTBaseLogoScreenActivity"
            android:configChanges="orientation|keyboardHidden|screenSize|screenLayout"
            android:screenOrientation="sensor"
            android:exported="true"
            android:theme="@android:style/Theme.NoTitleBar">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />

            </intent-filter>
        </activity>

        <!-- 语音功能测试activity -->
        <activity
            android:name="com.longtu.sample.LTBase_Demo_MultiMedia"
            android:configChanges="orientation|keyboard|keyboardHidden|screenLayout|screenSize"
            android:launchMode="singleTop"
            android:exported="false"
            android:screenOrientation="sensor"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen" />


        <!-- aihelp activity -->
        <activity
            android:name="com.longtu.sample.LTBase_Demo_AIHelp"
            android:configChanges="orientation|keyboard|keyboardHidden|screenLayout|screenSize"
            android:launchMode="singleTop"
            android:exported="false"
            android:screenOrientation="sensorLandscape"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen" />


        <!-- 闪屏默认配置 -->
        <meta-data
            android:name="ltbase_logo_flag"
            android:value="1" />

        <!-- 闪屏时间为 2S -->
        <meta-data
            android:name="ltbase_logotime"
            android:value="2000" />


        <!-- 视频闪屏默认配置 -->
        <meta-data
            android:name="ltbase_videologo_flag"
            android:value="1" />
        <!--悬浮窗初始位置配置，1到6分别是左上 左中 左下 右上 右中 右下-->
        <meta-data
            android:name="ltbase_float_position"
            android:value="1" />

        <!--需要配置为游戏的启动类 需要完整路径，必须配置  -->
        <meta-data
            android:name="ltbase_class_name"
            android:value="com.longtu.sample.LTBase_Demo_LogoActivity" />

        <!-- 游戏请配置自己游戏的展示类型，竖屏游戏请配置成 portrait，横屏游戏请配置成landscape -->
        <meta-data
            android:name="ltbase_screenOrientation"
            android:value="landscape" />

        <!--是否开启悬浮框功能，不配置默认为开启，true 为开启 false为关闭-->
        <meta-data
            android:name="LTbase_ToolBarSwitch"
            android:value="false" />

        <!-- 欢迎条样式 -->
        <meta-data
            android:name="ltbase_showloginloadingstyle"
            android:value="0" />


        <!-- &lt;!&ndash;  设置为海外渠道 &ndash;&gt; -->
        <meta-data 
        android:name="LTBaseIsOversea" 
       android:value="true" /> 

    </application>

</manifest>